| Home | Libraries | People | FAQ | More

## Function template write_json

boost::property_tree::json_parser::write_json

## Synopsis

    // In header: <boost/property_tree/json_parser.hpp>

    template<typename Ptree>
      void write_json(const std::string & filename, const Ptree & pt,
                      const std::locale & loc = std::locale(),
                      bool pretty = true);

## Description

Translates the property tree to JSON and writes it the given file.

Parameters: |
`filename` | The name of the file to which to write the JSON representation of the property tree.
`loc` | The locale to use when writing out to the output file.
`pretty` | Whether to pretty-print. Defaults to true and last place for backward compatibility.
`pt` | The property tree to translate to JSON and output.
Requires: | pt cannot contain keys that have both subkeys and non-empty data.
Throws: | json_parser_error
Notes: | Any property tree key containing only unnamed subkeys will be rendered as JSON arrays.